Bug 1599573 - [Docs][Compute] Document Real-time Enablement
Summary: [Docs][Compute] Document Real-time Enablement
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: z3
: 13.0 (Queens)
Assignee: Mikey Ariel
QA Contact: Martin Lopes
URL:
Whiteboard: docs-accepted
Depends On: 1341176 1414580
Blocks: 1639725
TreeView+ depends on / blocked
 
Reported: 2018-07-10 05:46 UTC by Lucy Bopf
Modified: 2018-10-16 13:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-10 13:24:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2018-07-10 05:46:09 UTC
Name of function:
Real-time Enablement

User story:
As a cloud operator I want to expose a subset of compute nodes with real-time capabilities to support guests with stringent latency requirements whereby latency spikes are undesirable. Such compute nodes must have a real-time capable kernel, including the exposed virtualization module(s), and be deployed with optimal configuration for real-time guest operations.

Purpose of function:
To provide real-time capabilities, introduce a new Real-time Compute Node role that provisions RHEL for real-time as well as the additional KVM RT kernel module, and configures Nova based on previous experience with manual configuration.

Work required (from detail plan):
Procedural 
------
How to set low latency in the BIOS
Deploy BIOS settings on compute nodes (there’s an existing doc for real time settings)
How to build the image with real-time subscriptions
Deploy real-time compute nodes
Create the deployment file - DPU layout (which core should do the real-time work)
How to test for correct installation and config (using benchmarking tools mentioned in the manual docs)
<A significant # of tasks in the manual docs, particularly NFV, will be changed due to new automated steps- need to be reviewed>
 - Compute Node configuration in OSP 10 - docs will need to be updated 
 - Verifying that interrupts are disabled
 - Testing operations using benchmarking tools (same as Day 1?)
 - Tuning (not something the casual user will do - refer to Dell)
------

Conceptual 
------

Image building tasks are now automated where they can be
Hardware infrastructure requirements
(talk to Dell for tuning specifics - link to tuning guide?)
Note about RHEL 7.5 dependency

What pre-defined roles are  available
Why would you use this and how it helps achieve goals
Document the role for mixed/subset real-time/other (pre-defined, default roles [ComputeRealTime])
Live migrations may not be supported in this release
------

Comment 2 Lucy Bopf 2018-07-10 05:59:20 UTC
Accepting into the post-GA program and assigning to Mikey for review.

Comment 5 Lucy Bopf 2018-08-14 04:20:27 UTC
This work has been identified as a priority for the RHOSP 14 release cycle. Adding flags to account for this in tracking.

Comment 11 Martin Lopes 2018-10-10 05:14:38 UTC
Finished peer review. Left some minor suggestions in diff. Can merge when ready.

Comment 12 Mikey Ariel 2018-10-10 13:24:33 UTC
Thanks Martin, I implemented your feedback and merged the content.

The updated Advanced Overcloud Customization guide is now republished in OSP13:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/13/html-single/advanced_overcloud_customization/index#realtime-compute

Also cherry-picked the new content to master branch for OSP14, pending GA.


Note You need to log in before you can comment on or make changes to this bug.